% P = [Phi0 Phi1 ... Phiq]
function Phi = buildPhi(B,T)
[n,k] = size(B);
q = k/n - 1;
Phi0 = B(:,1:n);
Phi =  kron(speye(T),sparse(Phi0));
for j=1:q
    Phij = B(:,j*n+1:(j+1)*n);
    hzeros = sparse(j*n,(T-j)*n); 
    vzeros = sparse(T*n,j*n);
    Phi = Phi + cat(2,cat(1,hzeros,kron(speye(T-j),Phij)),vzeros);  
end
end